(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,554,493);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,52);


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,63,52);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '12239',
			title: 'W każdą pustą kratkę przeciągnij odpowiednią liczbę lub znak matematyczny, aby otrzymać poprawne działanie.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1|12|13',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7|8',	
				/*drop_8:*/ '7|8',	
				/*drop_9:*/ '9',		
				/*drop_10:*/ '10',		
				/*drop_11:*/ '11',		
				/*drop_12:*/ '1|12|13',		
				/*drop_13:*/ '1|12|13',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			endsound: 'ssBrawa',
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_13 = new lib.Symbol8();
	this.drop_13.setTransform(557.1,245.9,1,1,0,0,0,31.5,26);

	this.drop_12 = new lib.Symbol8();
	this.drop_12.setTransform(275.8,182.8,1,1,0,0,0,31.5,26);

	this.drag_13 = new lib.Symbol8();
	this.drag_13.setTransform(919.9,513.4,1,1,0,0,0,31.5,26);

	this.drag_12 = new lib.Symbol8();
	this.drag_12.setTransform(1134,369.4,1,1,0,0,0,31.5,26);

	this.drop_11 = new lib.Symbol10();
	this.drop_11.setTransform(486.9,182.8,1,1,0,0,0,31.5,26);

	this.drop_10 = new lib.Symbol3();
	this.drop_10.setTransform(417.6,246.9,1,1,0,0,0,31.5,26);

	this.drop_9 = new lib.Symbol1();
	this.drop_9.setTransform(417.6,57.3,1,1,0,0,0,31.5,26);

	this.drop_8 = new lib.Symbol11();
	this.drop_8.setTransform(274.6,246.9,1,1,0,0,0,31.5,26);

	this.drop_7 = new lib.Symbol9();
	this.drop_7.setTransform(275.8,57.3,1,1,0,0,0,31.5,26);

	this.drop_6 = new lib.Symbol7();
	this.drop_6.setTransform(486.9,498.3,1,1,0,0,0,31.5,26);

	this.drop_5 = new lib.Symbol2();
	this.drop_5.setTransform(486.9,435.3,1,1,0,0,0,31.5,26);

	this.drop_4 = new lib.Symbol4();
	this.drop_4.setTransform(559.1,373.4,1,1,0,0,0,31.5,26);

	this.drop_3 = new lib.Symbol6();
	this.drop_3.setTransform(417.6,309.9,1,1,0,0,0,31.5,26);

	this.drop_2 = new lib.Symbol5();
	this.drop_2.setTransform(417.6,119.7,1,1,0,0,0,31.5,26);

	this.drop_1 = new lib.Symbol8();
	this.drop_1.setTransform(557.1,57.3,1,1,0,0,0,31.5,26);

	this.drag_8 = new lib.Symbol11();
	this.drag_8.setTransform(1056.9,453.8,1,1,0,0,0,31.5,26);

	this.drag_11 = new lib.Symbol10();
	this.drag_11.setTransform(971.8,411.8,1,1,0,0,0,31.5,26);

	this.drag_7 = new lib.Symbol9();
	this.drag_7.setTransform(879.2,369.4,1,1,0,0,0,31.5,26);

	this.drag_1 = new lib.Symbol8();
	this.drag_1.setTransform(1024.1,349,1,1,0,0,0,31.5,26);

	this.drag_6 = new lib.Symbol7();
	this.drag_6.setTransform(940,306.8,1,1,0,0,0,31.5,26);

	this.drag_3 = new lib.Symbol6();
	this.drag_3.setTransform(1120.8,202,1,1,0,0,0,31.5,26);

	this.drag_2 = new lib.Symbol5();
	this.drag_2.setTransform(1024.6,232.7,1,1,0,0,0,31.5,26);

	this.drag_4 = new lib.Symbol4();
	this.drag_4.setTransform(929.7,222.3,1,1,0,0,0,31.5,26);

	this.drag_10 = new lib.Symbol3();
	this.drag_10.setTransform(1099.2,107.8,1,1,0,0,0,31.5,26);

	this.drag_5 = new lib.Symbol2();
	this.drag_5.setTransform(982.9,138.4,1,1,0,0,0,31.5,26);

	this.drag_9 = new lib.Symbol1();
	this.drag_9.setTransform(887.7,96,1,1,0,0,0,31.5,26);

	this.instance = new lib.Bitmap1();
	this.instance.setTransform(244.3,31.3);

	this.instance_1 = new lib.Bitmap1();
	this.instance_1.setTransform(244.3,31.3);

	this.instance_2 = new lib.Bitmap1();
	this.instance_2.setTransform(244.3,31.3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.drag_9},{t:this.drag_5},{t:this.drag_10},{t:this.drag_4},{t:this.drag_2},{t:this.drag_3},{t:this.drag_6},{t:this.drag_1},{t:this.drag_7},{t:this.drag_11},{t:this.drag_8},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drag_12},{t:this.drag_13},{t:this.drop_12},{t:this.drop_13}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(243.1,31.3,922.4,508.1);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(883.1,391.3,922.4,508.1);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;